directories:
  output: release/${version}
  buildResources: dist
  app: .
$schema: https://raw.githubusercontent.com/electron-userland/electron-builder/master/packages/app-builder-lib/scheme.json
appId: com.dexnet.cloud
asar: true
productName: DexCloud
electronLanguages:
  - en_US
  - ru_RU
  - uk_UA
buildVersion: '87'
afterSign: afterSignHook.js
files:
  - filter:
      - dist
      - dist-electron
publish:
  provider: generic
  url: https://downloads.dexnet.cloud/mac/
mac:
  icon: dist/assets/icons/icon_512x512.icns
  type: distribution
  target:
    - dmg
    - zip
  hardenedRuntime: true
  gatekeeperAssess: false
  category: public.app-category.utilities
  entitlements: entitlements.mac.plist
  entitlementsInherit: entitlements.mac.inherit.plist
  identity: Dexnet Information Technology CO (QLU2DR63Q3)
  artifactName: ${productName}-Mac-Installer.${ext}
  forceCodeSigning: true
  minimumSystemVersion: '12.0'
  extendInfo:
    ElectronTeamID: QLU2DR63Q3
    UIAppFonts:
      - Roboto_Condensed-Black.ttf
      - Roboto_Condensed-BlackItalic.ttf
      - Roboto_Condensed-Bold.ttf
      - Roboto_Condensed-BoldItalic.ttf
      - Roboto_Condensed-ExtraBold.ttf
      - Roboto_Condensed-ExtraBoldItalic.ttf
      - Roboto_Condensed-ExtraLight.ttf
      - Roboto_Condensed-ExtraLightItalic.ttf
      - Roboto_Condensed-Italic.ttf
      - Roboto_Condensed-Light.ttf
      - Roboto_Condensed-LightItalic.ttf
      - Roboto_Condensed-Medium.ttf
      - Roboto_Condensed-MediumItalic.ttf
      - Roboto_Condensed-Regular.ttf
      - Roboto_Condensed-SemiBold.ttf
      - Roboto_Condensed-SemiBoldItalic.ttf
      - Roboto_Condensed-Thin.ttf
      - Roboto_Condensed-ThinItalic.ttf
      - Roboto_SemiCondensed-Black.ttf
      - Roboto_SemiCondensed-BlackItalic.ttf
      - Roboto_SemiCondensed-Bold.ttf
      - Roboto_SemiCondensed-BoldItalic.ttf
      - Roboto_SemiCondensed-ExtraBold.ttf
      - Roboto_SemiCondensed-ExtraBoldItalic.ttf
      - Roboto_SemiCondensed-ExtraLight.ttf
      - Roboto_SemiCondensed-ExtraLightItalic.ttf
      - Roboto_SemiCondensed-Italic.ttf
      - Roboto_SemiCondensed-Light.ttf
      - Roboto_SemiCondensed-LightItalic.ttf
      - Roboto_SemiCondensed-Medium.ttf
      - Roboto_SemiCondensed-MediumItalic.ttf
      - Roboto_SemiCondensed-Regular.ttf
      - Roboto_SemiCondensed-SemiBold.ttf
      - Roboto_SemiCondensed-SemiBoldItalic.ttf
      - Roboto_SemiCondensed-Thin.ttf
      - Roboto_SemiCondensed-ThinItalic.ttf
      - Roboto-Black.ttf
      - Roboto-BlackItalic.ttf
      - Roboto-Bold.ttf
      - Roboto-BoldItalic.ttf
      - Roboto-ExtraBold.ttf
      - Roboto-ExtraBoldItalic.ttf
      - Roboto-ExtraLight.ttf
      - Roboto-ExtraLightItalic.ttf
      - Roboto-Italic.ttf
      - Roboto-Light.ttf
      - Roboto-LightItalic.ttf
      - Roboto-Medium.ttf
      - Roboto-MediumItalic.ttf
      - Roboto-Regular.ttf
      - Roboto-SemiBold.ttf
      - Roboto-SemiBoldItalic.ttf
      - Roboto-Thin.ttf
      - Roboto-ThinItalic.ttf
      - Unbounded-Black.ttf
      - Unbounded-Bold.ttf
      - Unbounded-ExtraBold.ttf
      - Unbounded-ExtraLight.ttf
      - Unbounded-Light.ttf
      - Unbounded-Medium.ttf
      - Unbounded-Regular.ttf
      - Unbounded-SemiBold.ttf
win:
  icon: dist/assets/icons/icon.ico
  target:
    - target: nsis
      arch:
        - x64
        - ia32
  artifactName: ${productName}-Win-Installer.${ext}
nsis:
  oneClick: false
  perMachine: false
  allowToChangeInstallationDirectory: true
  deleteAppDataOnUninstall: false
electronVersion: 36.3.1
